OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.ImagingCore

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBImaging :: MonadIO m => m Bool
- gl_ARB_imaging :: Bool
- gl_BLEND_COLOR :: GLenum
- gl_BLEND_EQUATION :: GLenum
- gl_CONSTANT_ALPHA :: GLenum
- gl_CONSTANT_COLOR :: GLenum
- gl_FUNC_ADD :: GLenum
- gl_FUNC_REVERSE_SUBTRACT :: GLenum
- gl_FUNC_SUBTRACT :: GLenum
- gl_MAX :: GLenum
- gl_MIN :: GLenum
- gl_ONE_MINUS_CONSTANT_ALPHA :: GLenum
- gl_ONE_MINUS_CONSTANT_COLOR :: GLenum
- glBlendColor :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glBlendEquation :: MonadIO m => GLenum -> m ()

# Extension Support

glGetARBImaging :: MonadIO m => m Bool

Is the ARB_imaging extension supported?

gl_ARB_imaging :: Bool

Is the ARB_imaging extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBImaging` in those cases instead.

# Enums

gl_BLEND_COLOR :: GLenum

gl_BLEND_EQUATION :: GLenum

gl_CONSTANT_ALPHA :: GLenum

gl_CONSTANT_COLOR :: GLenum

gl_FUNC_ADD :: GLenum

gl_FUNC_REVERSE_SUBTRACT :: GLenum

gl_FUNC_SUBTRACT :: GLenum

gl_MAX :: GLenum

gl_MIN :: GLenum

gl_ONE_MINUS_CONSTANT_ALPHA :: GLenum

gl_ONE_MINUS_CONSTANT_COLOR :: GLenum

# Functions

glBlendColor

Arguments

:: MonadIO m |
=> GLfloat | `red` of type `ColorF`.
-> GLfloat | `green` of type `ColorF`.
-> GLfloat | `blue` of type `ColorF`.
-> GLfloat | `alpha` of type `ColorF`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBlendEquation

Arguments

:: MonadIO m |
=> GLenum | `mode` of type `BlendEquationMode`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.